1

I am having trouble with bumblebee in 14.04. When I run optirun -vvv glxgears, this is what I get.

[ 3328.473661] [DEBUG]Reading file: /etc/bumblebee/bumblebee.conf
[ 3328.474046] [INFO]Configured driver: nvidia
[ 3328.474257] [DEBUG]optirun version 3.2.1 starting...
[ 3328.474292] [DEBUG]Active configuration:
[ 3328.474310] [DEBUG] bumblebeed config file: /etc/bumblebee/bumblebee.conf
[ 3328.474327] [DEBUG] X display: :8
[ 3328.474343] [DEBUG] LD_LIBRARY_PATH: /usr/lib/nvidia-331-updates:/usr/lib32/nvidia-331-updates
[ 3328.474358] [DEBUG] Socket path: /var/run/bumblebee.socket
[ 3328.474374] [DEBUG] Accel/display bridge: auto
[ 3328.474389] [DEBUG] VGL Compression: proxy
[ 3328.474404] [DEBUG] VGLrun extra options: 
[ 3328.474419] [DEBUG] Primus LD Path: /usr/lib/x86_64-linux-gnu/primus:/usr/lib/i386-linux-gnu/primus
[ 3328.474513] [DEBUG]Using auto-detected bridge primus
[ 3355.204485] [INFO]Response: No - error: [XORG] (EE) NVIDIA(0): Failed to initiate mode change.

[ 3355.204505] [ERROR]Cannot access secondary GPU - error: [XORG] (EE) NVIDIA(0): Failed to initiate mode change.

[ 3355.204509] [DEBUG]Socket closed.
[ 3355.204527] [ERROR]Aborting because fallback start is disabled.
[ 3355.204532] [DEBUG]Killing all remaining processes.

I've tried reinstalling drivers and bumblebee countless times but I'm running in to the same error. Running lspci | egrep 'VGA|3D' gives 00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 3D controller: NVIDIA Corporation GF117M [GeForce 610M/710M/820M / GT 620M/625M/630M/720M] (rev a1)

and dmesg|tail is

    [ 4435.416045] ACPI Warning: \_SB_.PCI0.PEG0.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20140424/nsarguments-95)
[ 4435.416061] ACPI Warning: \_SB_.PCI0.PEG0.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20140424/nsarguments-95)
[ 4435.416205] ACPI Warning: \_SB_.PCI0.PEG0.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20140424/nsarguments-95)
[ 4435.416223] ACPI Warning: \_SB_.PCI0.PEG0.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20140424/nsarguments-95)
[ 4435.417225] ACPI Warning: \_SB_.PCI0.PEG0.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20140424/nsarguments-95)
[ 4440.031094] vgaarb: this pci device is not a vga device
[ 4452.040024] NVRM: GPU at PCI:0000:01:00: GPU-01c2c8dc-6cb0-27d4-fcb3-34a98594d7e9
[ 4452.040044] NVRM: Xid (PCI:0000:01:00): 8, Channel 00000000
[ 4461.054227] NVRM: Xid (PCI:0000:01:00): 8, Channel 00000001
[ 4461.054475] vgaarb: this pci device is not a vga device

Any help is appreciated. Thank you for your time.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.